## ros-melodic-sainsmart-relay-usb 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(sainsmart_relay_usb)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
)

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME}_node src/RelayNode.cpp src/node.cpp)
target_link_libraries(${PROJECT_NAME}_node ${catkin_LIBRARIES} ftdi)
set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME relay_node PREFIX "")

add_executable(${PROJECT_NAME}_list src/list.cpp)
target_link_libraries(${PROJECT_NAME}_list ${catkin_LIBRARIES} ftdi)
set_target_properties(${PROJECT_NAME}_list PROPERTIES OUTPUT_NAME list PREFIX "")

install(TARGETS ${PROJECT_NAME}_node ${PROJECT_NAME}_list
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_BUILD_BINARY_PACKAGE)
  # Install udev rules with dh_installudev: http://manpages.ubuntu.com/manpages/man1/dh_installudev.1.html
  FILE(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/debian/udev)
  FILE(GLOB UDEV_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/udev" "${CMAKE_CURRENT_SOURCE_DIR}/udev/*.rules")
  FOREACH(FILENAME ${UDEV_FILES})
    MESSAGE(STATUS "Appending contents of udev/${FILENAME} to debian/udev")
    FILE(READ udev/${FILENAME} FILEDATA)
    FILE(APPEND ${CMAKE_CURRENT_SOURCE_DIR}/debian/udev ${FILEDATA})
  ENDFOREACH(FILENAME)
else()
  install(DIRECTORY udev
          DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )
endif()

## ros-melodic-sainsmart-relay-usb 0.0.2

=== debian/changelog ===
ros-melodic-sainsmart-relay-usb (0.0.2-0stretch) stretch; urgency=high

  * Added build dependency on roslib, needed for the ROS_DISTRO environment variable
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 02 Dec 2017 05:00:00 -0000

ros-melodic-sainsmart-relay-usb (0.0.1-0stretch) stretch; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 30 Nov 2017 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-sainsmart-relay-usb
Section: misc
Priority: extra
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), libftdi-dev, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/sainsmart_relay_usb
Standards-Version: 3.9.2

Package: ros-melodic-sainsmart-relay-usb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libftdi-dev, ros-melodic-roscpp, ros-melodic-std-msgs
Description: SainSmart USB relay driver controller

## ros-melodic-sainsmart-relay-usb 0.0.4

=== debian/changelog ===
ros-melodic-sainsmart-relay-usb (0.0.4-1bionic) bionic; urgency=high

  * Add symbolic link to serial port with udev rule
  * Change ROS_INFO message on relay command to ROS_DEBUG to remove clutter in the terminal output
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 03 Feb 2021 05:00:00 -0000

ros-melodic-sainsmart-relay-usb (0.0.3-1bionic) bionic; urgency=high

  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Remove check for ROS distributions less than Kinetic
  * Use the simple filename 'udev' when installing rules, instead of the debian package name
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 09 Jul 2020 04:00:00 -0000

ros-melodic-sainsmart-relay-usb (0.0.2-1bionic) bionic; urgency=high

  * Added build dependency on roslib, needed for the ROS_DISTRO environment variable
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 02 Dec 2017 05:00:00 -0000

ros-melodic-sainsmart-relay-usb (0.0.1-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 30 Nov 2017 05:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-sainsmart-relay-usb
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
-Build-Depends: debhelper (>= 9.0.0), libftdi-dev, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-std-msgs
+Build-Depends: debhelper (>= 9.0.0), libftdi-dev, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-std-msgs
 Homepage: http://wiki.ros.org/sainsmart_relay_usb
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-sainsmart-relay-usb//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
